#ifndef MAPENTS_H
#define MAPENTS_H

#include "dll_shared.h"

map_entity_p NewMapEntity(map_entity_list_t& svEnts, map_ent_type_p pType, int dwX, int dwY);
void DrawMapEntPaths(BITMAP* pBmp, map_entity_list_t& svEnts, int dwX, int dwY);
void DrawMapEnts(BITMAP* pBmp, map_entity_list_t& svEnts, int dwX, int dwY);
map_entity_p MapEntAtPoint(map_entity_list_t& svEnts, int dwX, int dwY);
void SaveMapEnts(map_entity_list_t& svEnts, string sDir);
void LoadMapEnts(map_ent_type_list_t& svEntTypes, map_entity_list_t& svEnts, string sDir);
map_ent_type_p FindEntType(map_ent_type_list_t& svEntType, string sName);
int FindEntTypeIndex(map_ent_type_list_t& svEntType, string sName);
void ResolvePaths(map_entity_list_t& svEnts);

#endif // MAPENTS_H
