#ifndef APP_H
#define APP_H

#include "gbeventhandler.h"
#include <stdlib.h>

class CApp
{
public:
	typedef CApp*			(*key_func_p)(CApp* pApp, bool bUp, int dwKey);

							CApp() {
								memset(pvKeyFuncs, 0, sizeof(key_func_p)*256);
								bShowMouse = false;
								bAutoDelete = true;
							};
    virtual					~CApp() { };

    virtual CApp*			Run(int dwTime) { return this; };
    virtual bool			Draw(BITMAP* pBmp) { return false; };
	virtual int				TickPeriod() { return 10; };
	virtual CApp*			MouseEvent(unsigned char ucEvent, int dwX, int dwY) { return this; };

	key_func_p				pvKeyFuncs[256];
	bool					bShowMouse;
	bool					bAutoDelete;

};

#endif // APP_H
