#include <allegro.h>
#include <winalleg.h>
#include "AppEditor.h"
#include "MapEnts.h"
#include "AppRunner.h"
#include <algorithm>

using namespace std;

typedef dll_edit_exports_p (*dll_func_p)();

CApp* cbQuitEditor(CApp* pApp, bool bUp, int dwKey)
{
	return NULL;
}

CApp* cbSelectTiles(CApp* pApp, bool bUp, int dwKey)
{
	((CAppEditor*)pApp)->dwTilePage = (((CAppEditor*)pApp)->dwTilePage+1)%((CAppEditor*)pApp)->dwTileSetCount;
	((CAppEditor*)pApp)->dwStartTile = (((CAppEditor*)pApp)->dwStartTile&0xFF)+(((CAppEditor*)pApp)->dwTilePage<<8);

	return pApp;
}

CApp* cbSelectDrawMode(CApp* pApp, bool bUp, int dwKey)
{
	((CAppEditor*)pApp)->dwDrawMode = dwKey-KEY_1;
	if(dwKey == KEY_0)
		((CAppEditor*)pApp)->dwDrawMode = 9;

	for(int lp=0; lp<14; lp++)
		((CAppEditor*)pApp)->pvTMode[lp]->SetState(false);

	((CAppEditor*)pApp)->pvTMode[((CAppEditor*)pApp)->dwDrawMode]->SetState(true);

	return pApp;
}

CApp* cbDrawModeEntity(CApp* pApp, bool bUp, int dwKey)
{
	((CAppEditor*)pApp)->dwDrawMode = DM_ENTITY;

	for(int lp=0; lp<14; lp++)
		((CAppEditor*)pApp)->pvTMode[lp]->SetState(false);

	((CAppEditor*)pApp)->pvTMode[DM_ENTITY]->SetState(true);

	return pApp;
}

CApp* cbDrawModeEntityMove(CApp* pApp, bool bUp, int dwKey)
{
	((CAppEditor*)pApp)->dwDrawMode = DM_ENTITY_MOVE;

	for(int lp=0; lp<14; lp++)
		((CAppEditor*)pApp)->pvTMode[lp]->SetState(false);

	((CAppEditor*)pApp)->pvTMode[DM_ENTITY_MOVE]->SetState(true);

	return pApp;
}

CApp* cbDrawModeBrush(CApp* pApp, bool bUp, int dwKey)
{
	((CAppEditor*)pApp)->dwDrawMode = DM_BRUSH;

	for(int lp=0; lp<14; lp++)
		((CAppEditor*)pApp)->pvTMode[lp]->SetState(false);

	((CAppEditor*)pApp)->pvTMode[DM_BRUSH]->SetState(true);

	return pApp;
}

CApp* cbDrawModePath(CApp* pApp, bool bUp, int dwKey)
{
	((CAppEditor*)pApp)->dwDrawMode = DM_ENTITY_PATH;

	for(int lp=0; lp<14; lp++)
		((CAppEditor*)pApp)->pvTMode[lp]->SetState(false);

	((CAppEditor*)pApp)->pvTMode[DM_ENTITY_PATH]->SetState(true);

	return pApp;
}

CApp* cbToggleLayer0(CApp* pApp, bool bUp, int dwKey)
{
	((CAppEditor*)pApp)->bvLayerEnable[0] = !((CAppEditor*)pApp)->bvLayerEnable[0];
	((CAppEditor*)pApp)->pvLayer[0]->SetState(((CAppEditor*)pApp)->bvLayerEnable[0]);

	return pApp;
}

CApp* cbToggleLayer1(CApp* pApp, bool bUp, int dwKey)
{
	((CAppEditor*)pApp)->bvLayerEnable[1] = !((CAppEditor*)pApp)->bvLayerEnable[1];
	((CAppEditor*)pApp)->pvLayer[1]->SetState(((CAppEditor*)pApp)->bvLayerEnable[1]);

	return pApp;
}

CApp* cbToggleLayer2(CApp* pApp, bool bUp, int dwKey)
{
	((CAppEditor*)pApp)->bvLayerEnable[2] = !((CAppEditor*)pApp)->bvLayerEnable[2];
	((CAppEditor*)pApp)->pvLayer[2]->SetState(((CAppEditor*)pApp)->bvLayerEnable[2]);

	return pApp;
}

CApp* cbToggleLayer3(CApp* pApp, bool bUp, int dwKey)
{
	((CAppEditor*)pApp)->bvLayerEnable[3] = !((CAppEditor*)pApp)->bvLayerEnable[3];
	((CAppEditor*)pApp)->pvLayer[3]->SetState(((CAppEditor*)pApp)->bvLayerEnable[3]);

	return pApp;
}

CApp* cbToggleLayer4(CApp* pApp, bool bUp, int dwKey)
{
	((CAppEditor*)pApp)->bvLayerEnable[4] = !((CAppEditor*)pApp)->bvLayerEnable[4];
	((CAppEditor*)pApp)->pvLayer[4]->SetState(((CAppEditor*)pApp)->bvLayerEnable[4]);

	return pApp;
}

CApp* cbToggleLayer5(CApp* pApp, bool bUp, int dwKey)
{
	((CAppEditor*)pApp)->bvLayerEnable[5] = !((CAppEditor*)pApp)->bvLayerEnable[5];
	((CAppEditor*)pApp)->pvLayer[5]->SetState(((CAppEditor*)pApp)->bvLayerEnable[5]);

	return pApp;
}

CApp* cbToggleLayer6(CApp* pApp, bool bUp, int dwKey)
{
	((CAppEditor*)pApp)->bvLayerEnable[6] = !((CAppEditor*)pApp)->bvLayerEnable[6];
	((CAppEditor*)pApp)->pvLayer[6]->SetState(((CAppEditor*)pApp)->bvLayerEnable[6]);

	return pApp;
}

CApp* cbXGrid0(CApp* pApp, bool bUp, int dwKey)
{
	((CAppEditor*)pApp)->dwXGrid = 0;

	((CAppEditor*)pApp)->pvXGrid[0]->SetState(true);
	((CAppEditor*)pApp)->pvXGrid[1]->SetState(false);
	((CAppEditor*)pApp)->pvXGrid[2]->SetState(false);

	return pApp;
}

CApp* cbXGrid1(CApp* pApp, bool bUp, int dwKey)
{
	((CAppEditor*)pApp)->dwXGrid = 1;

	((CAppEditor*)pApp)->pvXGrid[0]->SetState(false);
	((CAppEditor*)pApp)->pvXGrid[1]->SetState(true);
	((CAppEditor*)pApp)->pvXGrid[2]->SetState(false);

	return pApp;
}

CApp* cbXGrid2(CApp* pApp, bool bUp, int dwKey)
{
	((CAppEditor*)pApp)->dwXGrid = 2;

	((CAppEditor*)pApp)->pvXGrid[0]->SetState(false);
	((CAppEditor*)pApp)->pvXGrid[1]->SetState(false);
	((CAppEditor*)pApp)->pvXGrid[2]->SetState(true);

	return pApp;
}

CApp* cbYGrid0(CApp* pApp, bool bUp, int dwKey)
{
	((CAppEditor*)pApp)->dwYGrid = 0;

	((CAppEditor*)pApp)->pvYGrid[0]->SetState(true);
	((CAppEditor*)pApp)->pvYGrid[1]->SetState(false);
	((CAppEditor*)pApp)->pvYGrid[2]->SetState(false);

	return pApp;
}

CApp* cbYGrid1(CApp* pApp, bool bUp, int dwKey)
{
	((CAppEditor*)pApp)->dwYGrid = 1;

	((CAppEditor*)pApp)->pvYGrid[0]->SetState(false);
	((CAppEditor*)pApp)->pvYGrid[1]->SetState(true);
	((CAppEditor*)pApp)->pvYGrid[2]->SetState(false);

	return pApp;
}

CApp* cbYGrid2(CApp* pApp, bool bUp, int dwKey)
{
	((CAppEditor*)pApp)->dwYGrid = 2;

	((CAppEditor*)pApp)->pvYGrid[0]->SetState(false);
	((CAppEditor*)pApp)->pvYGrid[1]->SetState(false);
	((CAppEditor*)pApp)->pvYGrid[2]->SetState(true);

	return pApp;
}

CApp* cbEntSelLeft(CApp* pApp, bool bUp, int dwKey)
{
	if(((CAppEditor*)pApp)->dwEntType > 0)
		((CAppEditor*)pApp)->dwEntType--;

	return pApp;
}

CApp* cbEntSelRight(CApp* pApp, bool bUp, int dwKey)
{
	if(((CAppEditor*)pApp)->dwEntType < ((CAppEditor*)pApp)->pDLLInfo->pMapEnts.size()-1)
		((CAppEditor*)pApp)->dwEntType++;

	return pApp;
}

CAppEditor::CAppEditor()
{
	CAppEditor("Data\\Maps\\Map1\\");
}

CAppEditor::CAppEditor(string sDir)
{
	CApp();

	sMapDir = sDir;

	bShowMouse = true;

	pvKeyFuncs[KEY_ESC] = cbQuitEditor;

	pvKeyFuncs[KEY_1] = cbSelectDrawMode;
	pvKeyFuncs[KEY_2] = cbSelectDrawMode;
	pvKeyFuncs[KEY_3] = cbSelectDrawMode;
	pvKeyFuncs[KEY_4] = cbSelectDrawMode;
	pvKeyFuncs[KEY_5] = cbSelectDrawMode;
	pvKeyFuncs[KEY_6] = cbSelectDrawMode;
	pvKeyFuncs[KEY_7] = cbSelectDrawMode;
	pvKeyFuncs[KEY_8] = cbSelectDrawMode;
	pvKeyFuncs[KEY_9] = cbSelectDrawMode;
	pvKeyFuncs[KEY_0] = cbSelectDrawMode;
	pvKeyFuncs[KEY_P] = cbDrawModeBrush;

	pvKeyFuncs[KEY_Q] = cbToggleLayer0;
	pvKeyFuncs[KEY_W] = cbToggleLayer1;
	pvKeyFuncs[KEY_E] = cbToggleLayer2;
	pvKeyFuncs[KEY_R] = cbToggleLayer3;
	pvKeyFuncs[KEY_T] = cbToggleLayer4;
	pvKeyFuncs[KEY_Y] = cbToggleLayer5;
	pvKeyFuncs[KEY_U] = cbToggleLayer6;

	pvKeyFuncs[KEY_A] = cbXGrid0;
	pvKeyFuncs[KEY_S] = cbXGrid1;
	pvKeyFuncs[KEY_D] = cbXGrid2;
	pvKeyFuncs[KEY_Z] = cbYGrid0;
	pvKeyFuncs[KEY_X] = cbYGrid1;
	pvKeyFuncs[KEY_C] = cbYGrid2;

	pvKeyFuncs[KEY_H] = cbEntSelLeft;
	pvKeyFuncs[KEY_J] = cbEntSelRight;
	pvKeyFuncs[KEY_B] = cbDrawModeEntity;
	pvKeyFuncs[KEY_N] = cbDrawModeEntityMove;
	pvKeyFuncs[KEY_M] = cbDrawModePath;

	pvKeyFuncs[KEY_TAB] = cbSelectTiles;


	set_config_file((sDir+"Map.cfg").c_str());

	int dwArgc;
	char** szvArgv;
	szvArgv = get_config_argv("", "Tiles", &dwArgc);
	string sTiles;
	int lp;
	for(lp=0; lp<dwArgc; lp++)
	{
		sTiles = szvArgv[lp];
		if(sTiles[0] == '%')
		{
			int dwBCD = bitmap_color_depth(screen);
			set_color_depth(32);
			BITMAP* pBmp = load_tga(("Data\\Tiles\\"+sTiles.substr(1)+".tga").c_str(), NULL);
			set_color_depth(dwBCD);

			pvTileSets[lp] = BuildTiles(pBmp);
			pvTileSets[lp]->bTransparent = true;
		}
		else
		{
			BITMAP* pBmp = load_bitmap(("Data\\Tiles\\"+sTiles+".bmp").c_str(), NULL);
			pvTileSets[lp] = BuildTiles(pBmp);
			pvTileSets[lp]->bTransparent = false;
		}
	}
	dwStartTile = 0;
	dwvSelSize[0] = 1;
	dwvSelSize[1] = 1;
	dwTileSetCount = dwArgc;
	dwTilePage = 0;

	dwDrawMode = 0;
	bvLayerEnable[0] = true;
	bvLayerEnable[1] = true;
	bvLayerEnable[2] = true;
	bvLayerEnable[3] = true;
	bvLayerEnable[4] = true;
	bvLayerEnable[5] = true;
	bvLayerEnable[6] = true;
	pMap = LoadTileMap(sDir);

	pColMap = LoadCollisionMap(sDir);

	pMainBmp = NULL;
	bMouseDown = false;
	bRMouseDown = false;

	for(lp=0; lp<10; lp++)
	{
		pvTMode[lp] = new CButton();
		pvTMode[lp]->SetPos(lp*25+3, 260, 24, 24);
	}
	pvTMode[10] = new CButton();
	pvTMode[10]->SetPos(228, 285, 24, 24);
	for(lp=0; lp<6; lp++)
	{
		pvLayer[lp] = new CButton();
		pvLayer[lp]->SetPos(lp*35+3, 285, 34, 24);
		pvLayer[lp]->SetState(true);
	}
	for(lp=0; lp<7; lp++)
	{
		pvLayer[lp] = new CButton();
		pvLayer[lp]->SetPos(lp*32+3, 285, 31, 24);
		pvLayer[lp]->SetState(true);
	}
	for(lp=0; lp<3; lp++)
	{
		pvXGrid[lp] = new CButton();
		pvXGrid[lp]->SetPos(lp*81+13, 315, 80, 24);
		pvYGrid[lp] = new CButton();
		pvYGrid[lp]->SetPos(lp*81+13, 340, 80, 24);
	}
	for(lp=11; lp<14; lp++)
	{
		pvTMode[lp] = new CButton();
		pvTMode[lp]->SetPos((lp-11)*25+3, 400, 24, 24);
	}
	for(lp=0; lp<2; lp++)
	{
		pvEntSel[lp] = new CButton();
		pvEntSel[lp]->SetPos(lp*25+3, 375, 24, 24);
	}
	for(lp=0; lp<8; lp++)
	{
		pvVars[lp] = new CButton();
		pvVars[lp]->SetPos(72, 460+lp*18, 180, 14);
	}
	pEntName = new CButton();
	pEntName->SetPos(72, 430, 180, 14);

	pvTMode[0]->SetLabel("B1");
	pvTMode[1]->SetLabel("B2");
	pvTMode[2]->SetLabel("F1");
	pvTMode[3]->SetLabel("F2");
	pvTMode[4]->SetLabel("Cl");
	pvTMode[5]->SetLabel("LG");
	pvTMode[6]->SetLabel("RG");
	pvTMode[7]->SetLabel("Pl");
	pvTMode[8]->SetLabel("Dr");
	pvTMode[9]->SetLabel("Kl");
	pvTMode[10]->SetLabel("Br");
	pvTMode[11]->SetLabel("Cr");
	pvTMode[12]->SetLabel("Mv");
	pvTMode[13]->SetLabel("Pt");
	pvTMode[0]->SetState(true);

	pvLayer[0]->SetLabel("eB1");
	pvLayer[1]->SetLabel("eB2");
	pvLayer[2]->SetLabel("eF1");
	pvLayer[3]->SetLabel("eF2");
	pvLayer[4]->SetLabel("eCL");
	pvLayer[5]->SetLabel("eEn");
	pvLayer[6]->SetLabel("ePt");

	pvXGrid[0]->SetState(true);
	pvXGrid[0]->SetLabel("None");
	pvXGrid[1]->SetLabel("Grid");
	pvXGrid[2]->SetLabel("Centre");

	pvYGrid[0]->SetState(true);
	pvYGrid[0]->SetLabel("None");
	pvYGrid[1]->SetLabel("Grid");
	pvYGrid[2]->SetLabel("Centre");

	pvEntSel[0]->SetLabel("<");
	pvEntSel[1]->SetLabel(">");

	bDragging = false;
	bRDragging = false;
	dwvDragPos[0] = 0;
	dwvDragPos[1] = 0;
	dwvScrollPos[0] = 0;
	dwvScrollPos[1] = 0;

	pBrush = NULL;

	pSelEnt = NULL;
	dwEntType = 0;
	pDLL = LoadLibrary("Data\\Dll\\Game.dll");
	dll_func_p pDLLFunc = (dll_func_p)GetProcAddress(pDLL, "LoadEditDLL");

	pDLLInfo = pDLLFunc();

	for(map_ent_type_list_t::iterator pET=pDLLInfo->pMapEnts.begin(); pET!=pDLLInfo->pMapEnts.end(); ++pET)
	{
		if((*pET)->szBmp)
		{
			(*pET)->pBmp = load_bitmap(((string)"Data\\Sprites\\"+(*pET)->szBmp).c_str(), NULL);
		}

		(*pET)->dwColor = makecol((*pET)->dwColor>>16, ((*pET)->dwColor>>8)&0xFF, (*pET)->dwColor&0xFF);
		(*pET)->dwBorder = makecol((*pET)->dwBorder>>16, ((*pET)->dwBorder>>8)&0xFF, (*pET)->dwBorder&0xFF);
	}

	LoadMapEnts(pDLLInfo->pMapEnts, svEnts, sMapDir);
}

CAppEditor::~CAppEditor()
{
	SaveTileMap(sMapDir, pMap);
	SaveCollisionMap(sMapDir, pColMap);
	SaveMapEnts(svEnts, sMapDir);

	delete pDLLInfo;
	FreeLibrary(pDLL);
}

CApp* CAppEditor::Run(int dwTime)
{
	dwGameTime = dwTime;

	if(mouse_x < 256  &&  mouse_y < 256)
	{
		int dwPage = dwStartTile>>8;
		if(dwPage < dwTileSetCount  &&  pvTileSets[dwPage])
		{
			if(bMouseDown)
			{
				int dwT = dwStartTile&0xFF;
				int dwW = (mouse_x>>4)-(dwT%pvTileSets[dwPage]->dwWidth)+1;
				int dwH = (mouse_y>>4)-(dwT/pvTileSets[dwPage]->dwWidth)+1;
				dwvSelSize[0] = MAX(1, dwW);
				dwvSelSize[1] = MAX(1, dwH);
			}
		}
	}
	if(mouse_x >= 256)
	{
		if(dwDrawMode < 4)
		{
			if(bMouseDown)
			{
				PlaceTile(pMap, pvTileSets, dwStartTile, dwvSelSize[0], dwvSelSize[1], (mouse_x-256+dwvScrollPos[0])>>4, (mouse_y+dwvScrollPos[1])>>4, dwDrawMode);
			}
			if(bRMouseDown)
			{
				DeleteTile(pMap, dwvSelSize[0], dwvSelSize[1], (mouse_x-256+dwvScrollPos[0])>>4, (mouse_y+dwvScrollPos[1])>>4, dwDrawMode);
			}
		}
		if(dwDrawMode == DM_ENTITY_MOVE  &&  pSelEnt)
		{
			if(bDragging)
			{
				int dwXM = mouse_x+dwvScrollPos[0]-dwvDragPos[0];
				int dwYM = mouse_y+dwvScrollPos[1]-dwvDragPos[1];

				pSelEnt->dwvPos[0] += dwXM;
				pSelEnt->dwvPos[1] += dwYM;
				pSelEnt->dwvPos[2] += dwXM;
				pSelEnt->dwvPos[3] += dwYM;

				dwvDragPos[0] = mouse_x+dwvScrollPos[0];
				dwvDragPos[1] = mouse_y+dwvScrollPos[1];
			}
			if(bRDragging)
			{
				int dwXM = mouse_x+dwvScrollPos[0]-dwvDragPos[0];
				int dwYM = mouse_y+dwvScrollPos[1]-dwvDragPos[1];

				pSelEnt->dwvPos[2] += dwXM;
				pSelEnt->dwvPos[3] += dwYM;

				dwvDragPos[0] = mouse_x+dwvScrollPos[0];
				dwvDragPos[1] = mouse_y+dwvScrollPos[1];

				if(pSelEnt->dwvPos[2] < pSelEnt->dwvPos[0]+pSelEnt->pType->dwvSize[0]-1)
					pSelEnt->dwvPos[2] = pSelEnt->dwvPos[0]+pSelEnt->pType->dwvSize[0]-1;
				if(pSelEnt->dwvPos[3] < pSelEnt->dwvPos[1]+pSelEnt->pType->dwvSize[1]-1)
					pSelEnt->dwvPos[3] = pSelEnt->dwvPos[1]+pSelEnt->pType->dwvSize[1]-1;
			}
		}
	}

	if(key[KEY_LEFT])
	{
		dwvScrollPos[0] -= (key_shifts&KB_CTRL_FLAG)?8:2;
	}
	if(key[KEY_RIGHT])
	{
		dwvScrollPos[0] += (key_shifts&KB_CTRL_FLAG)?8:2;
	}
	if(key[KEY_UP])
	{
		dwvScrollPos[1] -= (key_shifts&KB_CTRL_FLAG)?8:2;
	}
	if(key[KEY_DOWN])
	{
		dwvScrollPos[1] += (key_shifts&KB_CTRL_FLAG)?8:2;
	}

	return this;
}

void DrawTextBox(BITMAP* pBmp, int dwX1, int dwY1, int dwX2, int dwY2, string sText)
{
	rectfill(pBmp, dwX1, dwY1, dwX2, dwY2, makecol(192, 192, 192));
	rect(pBmp, dwX1, dwY1, dwX2, dwY2, makecol(64, 64, 64));
	rect(pBmp, dwX1+1, dwY1+1, dwX2-1, dwY2-1, makecol(128, 128, 128));
	hline(pBmp, dwX1, dwY2, dwX2, makecol(255, 255, 255));
	hline(pBmp, dwX1+1, dwY2-1, dwX2-1, makecol(224, 224, 224));
	vline(pBmp, dwX2, dwY1, dwY2, makecol(255, 255, 255));
	vline(pBmp, dwX2-1, dwY1+1, dwY2-1, makecol(224, 224, 224));
	textout(pBmp, font, sText.c_str(), dwX1+4, dwY1+3, makecol(0, 0, 0));
}

bool CAppEditor::Draw(BITMAP* pBmp)
{
	if(!pMainBmp)
		pMainBmp = create_sub_bitmap(pBmp, 256, 0, pBmp->w-256, pBmp->h);

	rectfill(pBmp, 0, 0, 255, pBmp->h-1, makecol(192, 192, 192));
	clear(pMainBmp);
	rectfill(pMainBmp, -dwvScrollPos[0], -dwvScrollPos[1], (pMap->dwSize[0]<<4)-dwvScrollPos[0], (pMap->dwSize[1]<<4)-dwvScrollPos[1], makecol(64, 64, 255));

	DrawTileMap(pMainBmp, pMap, pvTileSets, dwvScrollPos[0], dwvScrollPos[1], bvLayerEnable);

	if(dwTilePage < dwTileSetCount  &&  pvTileSets[dwTilePage])
	{
		tileset_p pPage = pvTileSets[dwTilePage];
		blit(pPage->pMainBmp, pBmp, 0, 0, 0, 0, 256, 256);

		int dwT = dwStartTile&0xFF;
		int dwX = (dwT%pPage->dwWidth)<<4;
		int dwY = (dwT/pPage->dwWidth)<<4;

		rect(pBmp, dwX, dwY, dwX+(dwvSelSize[0]<<4)-1, dwY+(dwvSelSize[1]<<4)-1, makecol(255, rand()%256, 0));
	}

	int lp;
	for(lp=0; lp<14; lp++)
	{
		pvTMode[lp]->Draw(pBmp);
	}
	for(lp=0; lp<7; lp++)
	{
		pvLayer[lp]->Draw(pBmp);
	}
	for(lp=0; lp<3; lp++)
	{
		pvXGrid[lp]->Draw(pBmp);
		pvYGrid[lp]->Draw(pBmp);
	}
	for(lp=0; lp<2; lp++)
	{
		pvEntSel[lp]->Draw(pBmp);
	}
	pEntName->Draw(pBmp);
	textout_right(pBmp, font, "Name", 70, 433, makecol(0, 0, 0));
	for(lp=0; lp<8; lp++)
	{
		pvVars[lp]->Draw(pBmp);
		if(pSelEnt  &&  pSelEnt->pType->svVars[lp])
			textout_right(pBmp, font, pSelEnt->pType->svVars[lp], 70, 463+lp*18, makecol(0, 0, 0));
	}

	textout(pBmp, font, "X", 3, 323, makecol(0, 0, 0));
	textout(pBmp, font, "Y", 3, 348, makecol(0, 0, 0));

	DrawTextBox(pBmp, 53, 380, 253, 394, pDLLInfo->pMapEnts[dwEntType]->szName);

	if(bvLayerEnable[5])
	{
		set_trans_blender(192, 192, 192, 192);
		DrawMapEnts(pMainBmp, svEnts, -dwvScrollPos[0], -dwvScrollPos[1]);
		if(bvLayerEnable[6])
			DrawMapEntPaths(pMainBmp, svEnts, dwvScrollPos[0], dwvScrollPos[1]);
		if(pSelEnt)
		{
			int dwD = ((dwGameTime>>2)%(MIN(pSelEnt->pType->dwvSize[0], pSelEnt->pType->dwvSize[1])>>1))+1;

			rect(pMainBmp, pSelEnt->dwvPos[0]+dwD-dwvScrollPos[0], pSelEnt->dwvPos[1]+dwD-dwvScrollPos[1], pSelEnt->dwvPos[2]-dwD-dwvScrollPos[0], pSelEnt->dwvPos[3]-dwD-dwvScrollPos[1], makecol(255, 255, 255));
		}
	}

	if(bvLayerEnable[4])
		DrawCollisionMap(pMainBmp, pColMap, -dwvScrollPos[0], -dwvScrollPos[1]);

	if(mouse_x >= 256)
	{
		if(dwDrawMode < 4)
		{
			int dwX = (((mouse_x-256+dwvScrollPos[0])>>4)<<4)-dwvScrollPos[0];
			int dwY = (((mouse_y+dwvScrollPos[1])>>4)<<4)-dwvScrollPos[1];
			rect(pMainBmp, dwX, dwY, dwX+(dwvSelSize[0]<<4)-1, dwY+(dwvSelSize[1]<<4)-1, makecol(255, rand()%256, 0));
		}
		else if(dwDrawMode < DM_BRUSH)
		{
			int dwX = mouse_x-256+dwvScrollPos[0];
			int dwY = mouse_y+dwvScrollPos[1];
			MoveToGrid(dwX, dwY);
			vline(pMainBmp, dwX-dwvScrollPos[0], dwY-8-dwvScrollPos[1], dwY+8-dwvScrollPos[1], makecol(255, rand()%256, 0));
			hline(pMainBmp, dwX-8-dwvScrollPos[0], dwY-dwvScrollPos[1], dwX+8-dwvScrollPos[0], makecol(255, rand()%256, 0));

			if(bDragging)
			{
				line(pMainBmp, dwvDragPos[0]-dwvScrollPos[0], dwvDragPos[1]-dwvScrollPos[1], dwX-dwvScrollPos[0], dwY-dwvScrollPos[1], makecol(255, rand()%256, 0));
			}
		}
		else if(dwDrawMode == DM_BRUSH)
		{
			if(bRDragging)
			{
				int dwX = mouse_x-256+dwvScrollPos[0];
				int dwY = mouse_y+dwvScrollPos[1];
				dwX = ((dwX>>4)<<4)+15;
				dwY = ((dwY>>4)<<4)+15;
				dwX = MAX(dwX, dwvDragPos[0]+15);
				dwY = MAX(dwY, dwvDragPos[1]+15);

				rect(pMainBmp, dwvDragPos[0]-dwvScrollPos[0], dwvDragPos[1]-dwvScrollPos[1], dwX-dwvScrollPos[0], dwY-dwvScrollPos[1], makecol(255, rand()%256, 0));
			}
			else if(pBrush)
			{
				int dwX = (((mouse_x-256+dwvScrollPos[0])>>4)<<4)-dwvScrollPos[0];
				int dwY = (((mouse_y+dwvScrollPos[1])>>4)<<4)-dwvScrollPos[1];
				rect(pMainBmp, dwX, dwY, dwX+(pBrush->dwvSize[0]<<4)-1, dwY+(pBrush->dwvSize[1]<<4)-1, makecol(255, rand()%256, 0));
			}
		}
		else if(dwDrawMode == DM_ENTITY_PATH)
		{
			if(bDragging  ||  bRDragging)
			{
				line(pMainBmp, dwvDragPos[0]-dwvScrollPos[0], dwvDragPos[1]-dwvScrollPos[1], mouse_x-256, mouse_y, makecol(255, rand()%256, 0));
			}
		}
	}

	return true;
}

CApp* CAppEditor::MouseEvent(unsigned char ucEvent, int dwX, int dwY)
{
	if(dwX < 256)
	{
		if(dwY < 256)
		{
			int dwPage = dwStartTile>>8;
			if(dwPage < dwTileSetCount  &&  pvTileSets[dwPage])
			{
				if(ucEvent == GBE_MOUSE_LEFT_DOWN)
				{
					dwStartTile = (dwPage<<8)+(dwX>>4)+(dwY>>4)*pvTileSets[dwPage]->dwWidth;
					dwvSelSize[0] = 1;
					dwvSelSize[1] = 1;
				}
			}
		}
		else
		{
			if(ucEvent == GBE_MOUSE_LEFT_DOWN)
			{
				int lp;
				for(lp=0; lp<14; lp++)
				{
					if(pvTMode[lp]->CheckMouse(dwX, dwY))
					{
						dwDrawMode = lp;
						for(int lt=0; lt<14; lt++)
							pvTMode[lt]->SetState(false);
						pvTMode[lp]->SetState(true);
					}
				}
				for(lp=0; lp<7; lp++)
				{
					if(pvLayer[lp]->CheckMouse(dwX, dwY))
					{
						bvLayerEnable[lp] = !bvLayerEnable[lp];
						pvLayer[lp]->SetState(bvLayerEnable[lp]);
					}
				}
				for(lp=0; lp<3; lp++)
				{
					if(pvXGrid[lp]->CheckMouse(dwX, dwY))
					{
						dwXGrid = lp;
						for(int lt=0; lt<3; lt++)
							pvXGrid[lt]->SetState(false);
						pvXGrid[lp]->SetState(true);
					}
					if(pvYGrid[lp]->CheckMouse(dwX, dwY))
					{
						dwYGrid = lp;
						for(int lt=0; lt<3; lt++)
							pvYGrid[lt]->SetState(false);
						pvYGrid[lp]->SetState(true);
					}
				}
				if(pvEntSel[0]->CheckMouse(dwX, dwY))
				{
					cbEntSelLeft(this, false, KEY_H);
				}
				if(pvEntSel[1]->CheckMouse(dwX, dwY))
				{
					cbEntSelRight(this, false, KEY_J);
				}
				if(pSelEnt)
				{
					if(pEntName->CheckMouse(dwX, dwY))
					{
						pSelEnt->sName = GetString("Name", pSelEnt->sName);
						pEntName->SetLabel(pSelEnt->sName);
						ResolvePaths(svEnts);
					}
					for(lp=0; lp<8; lp++)
					{
						if(pvVars[lp]->CheckMouse(dwX, dwY)  &&  pSelEnt->pType->svVars[lp])
						{
							pSelEnt->svVars[lp] = GetString(pSelEnt->pType->svVars[lp], pSelEnt->svVars[lp]);
							pvVars[lp]->SetLabel(pSelEnt->svVars[lp]);
						}
					}
				}
			}
		}
	}
	else
	{
		int dwMX = mouse_x-256+dwvScrollPos[0];
		int dwMY = mouse_y+dwvScrollPos[1];
		MoveToGrid(dwMX, dwMY);

		if(dwDrawMode == DM_BLOCKER)
		{
			if(ucEvent == GBE_MOUSE_LEFT_DOWN)
			{
				bDragging = true;
				dwvDragPos[0] = dwMX;
				dwvDragPos[1] = dwMY;
			}
			if(ucEvent == GBE_MOUSE_LEFT_UP  &&  bDragging)
			{
				AddBlocker(pColMap, dwvDragPos[0], dwvDragPos[1], dwMX, dwMY);
			}
			if(ucEvent == GBE_MOUSE_RIGHT_DOWN)
			{
				int dwCO = NearestBlocker(pColMap, dwMX, dwMY, 8);
				if(dwCO >= 0)
				{
					DeleteCollider(pColMap, dwCO);
				}
			}
		}
		if(dwDrawMode == DM_LEFT_GRAB)
		{
			if(ucEvent == GBE_MOUSE_LEFT_DOWN)
			{
				AddLeftGrab(pColMap, dwMX, dwMY);
			}
			if(ucEvent == GBE_MOUSE_RIGHT_DOWN)
			{
				int dwCO = NearestLeftGrab(pColMap, dwMX, dwMY, 5);
				if(dwCO >= 0)
				{
					DeleteCollider(pColMap, dwCO);
				}
			}
		}
		if(dwDrawMode == DM_RIGHT_GRAB)
		{
			if(ucEvent == GBE_MOUSE_LEFT_DOWN)
			{
				AddRightGrab(pColMap, dwMX, dwMY);
			}
			if(ucEvent == GBE_MOUSE_RIGHT_DOWN)
			{
				int dwCO = NearestRightGrab(pColMap, dwMX, dwMY, 5);
				if(dwCO >= 0)
				{
					DeleteCollider(pColMap, dwCO);
				}
			}
		}
		if(dwDrawMode == DM_POLE)
		{
			if(ucEvent == GBE_MOUSE_LEFT_DOWN)
			{
				bDragging = true;
				dwvDragPos[0] = dwMX;
				dwvDragPos[1] = dwMY;
			}
			if(ucEvent == GBE_MOUSE_LEFT_UP  &&  bDragging)
			{
				AddPole(pColMap, dwvDragPos[0], dwvDragPos[1], dwMX, dwMY);
			}
			if(ucEvent == GBE_MOUSE_RIGHT_DOWN)
			{
				int dwCO = NearestPole(pColMap, dwMX, dwMY, 8);
				if(dwCO >= 0)
				{
					DeleteCollider(pColMap, dwCO);
				}
			}
		}
		if(dwDrawMode == DM_DROP)
		{
			if(ucEvent == GBE_MOUSE_LEFT_DOWN)
			{
				bDragging = true;
				dwvDragPos[0] = dwMX;
				dwvDragPos[1] = dwMY;
			}
			if(ucEvent == GBE_MOUSE_LEFT_UP  &&  bDragging)
			{
				AddDrop(pColMap, dwvDragPos[0], dwvDragPos[1], dwMX, dwMY);
			}
			if(ucEvent == GBE_MOUSE_RIGHT_DOWN)
			{
				int dwCO = NearestDrop(pColMap, dwMX, dwMY, 8);
				if(dwCO >= 0)
				{
					DeleteCollider(pColMap, dwCO);
				}
			}
		}
		if(dwDrawMode == DM_KILL)
		{
			if(ucEvent == GBE_MOUSE_LEFT_DOWN)
			{
				bDragging = true;
				dwvDragPos[0] = dwMX;
				dwvDragPos[1] = dwMY;
			}
			if(ucEvent == GBE_MOUSE_LEFT_UP  &&  bDragging)
			{
				AddKill(pColMap, dwvDragPos[0], dwvDragPos[1], dwMX, dwMY);
			}
			if(ucEvent == GBE_MOUSE_RIGHT_DOWN)
			{
				int dwCO = NearestKill(pColMap, dwMX, dwMY, 8);
				if(dwCO >= 0)
				{
					DeleteCollider(pColMap, dwCO);
				}
			}
		}
		if(dwDrawMode == DM_BRUSH)
		{
			if(ucEvent == GBE_MOUSE_LEFT_DOWN)
			{
				if(pBrush)
					PlaceBrush(pBrush, pMap, (dwX-256+dwvScrollPos[0])>>4, (dwY+dwvScrollPos[1])>>4);
			}
			if(ucEvent == GBE_MOUSE_RIGHT_DOWN)
			{
				dwvDragPos[0] = ((dwX-256+dwvScrollPos[0])>>4)<<4;
				dwvDragPos[1] = ((dwY+dwvScrollPos[1])>>4)<<4;
				bRDragging = true;
			}
			if(ucEvent == GBE_MOUSE_RIGHT_UP)
			{
				if(pBrush)
					DeleteBrush(pBrush);
				int dwSX = dwvDragPos[0]>>4;
				int dwSY = dwvDragPos[1]>>4;
				int dwEX = (dwX-256+dwvScrollPos[0])>>4;
				int dwEY = (dwY+dwvScrollPos[1])>>4;
				int dwW = dwEX-dwSX+1;
				int dwH = dwEY-dwSY+1;
				pBrush = CreateBrush();
				AddTilesToBrush(pBrush, pMap, dwSX, dwSY, MAX(1, dwW), MAX(1, dwH), bvLayerEnable);
			}
		}
		if(dwDrawMode == DM_ENTITY)
		{
			if(ucEvent == GBE_MOUSE_LEFT_DOWN)
			{
				int dwEX = dwX-256+dwvScrollPos[0];
				int dwEY = dwY+dwvScrollPos[1];
				MoveToGrid(dwEX, dwEY);

				pSelEnt = NewMapEntity(svEnts, pDLLInfo->pMapEnts[dwEntType], dwEX, dwEY);
				if(pSelEnt)
				{
					pEntName->SetLabel(pSelEnt->sName);
					for(int lp=0; lp<8; lp++)
						pvVars[lp]->SetLabel(pSelEnt->svVars[lp]);
				}
				else
				{
					pEntName->SetLabel("");
					for(int lp=0; lp<8; lp++)
						pvVars[lp]->SetLabel("");
				}
			}
			if(ucEvent == GBE_MOUSE_RIGHT_DOWN)
			{
				map_entity_p pEnt = MapEntAtPoint(svEnts, dwX-256+dwvScrollPos[0], dwY+dwvScrollPos[1]);
				if(pEnt)
				{
					delete pEnt;
					svEnts.erase(remove(svEnts.begin(), svEnts.end(), pEnt), svEnts.end());
					ResolvePaths(svEnts);
				}
				pSelEnt = NULL;
			}
		}
		if(dwDrawMode == DM_ENTITY_MOVE)
		{
			if(ucEvent == GBE_MOUSE_LEFT_DOWN)
			{
				pSelEnt = MapEntAtPoint(svEnts, dwX-256+dwvScrollPos[0], dwY+dwvScrollPos[1]);
				bDragging = true;
				dwvDragPos[0] = dwX+dwvScrollPos[0];
				dwvDragPos[1] = dwY+dwvScrollPos[1];

				if(pSelEnt)
				{
					pEntName->SetLabel(pSelEnt->sName);
					for(int lp=0; lp<8; lp++)
						pvVars[lp]->SetLabel(pSelEnt->svVars[lp]);

					dwEntType = FindEntTypeIndex(pDLLInfo->pMapEnts, pSelEnt->pType->szName);
					dwEntType = MAX(0, dwEntType);
				}
				else
				{
					pEntName->SetLabel("");
					for(int lp=0; lp<8; lp++)
						pvVars[lp]->SetLabel("");
				}
			}
			if(ucEvent == GBE_MOUSE_LEFT_UP  &&  pSelEnt)
			{
				int dwEX = (pSelEnt->dwvPos[0]+pSelEnt->dwvPos[2])>>1;
				int dwEY = (pSelEnt->dwvPos[1]+pSelEnt->dwvPos[3])>>1;
				MoveToGrid(dwEX, dwEY);

				int dwW = pSelEnt->dwvPos[2]-pSelEnt->dwvPos[0];
				int dwH = pSelEnt->dwvPos[3]-pSelEnt->dwvPos[1];
				pSelEnt->dwvPos[0] = dwEX-(dwW>>1);
				pSelEnt->dwvPos[1] = dwEY-(dwH>>1);
				pSelEnt->dwvPos[2] = pSelEnt->dwvPos[0]+dwW;
				pSelEnt->dwvPos[3] = pSelEnt->dwvPos[1]+dwH;
			}
			if(ucEvent == GBE_MOUSE_RIGHT_DOWN)
			{
				pSelEnt = MapEntAtPoint(svEnts, dwX-256+dwvScrollPos[0], dwY+dwvScrollPos[1]);
				if(pSelEnt)
				{
					if(pSelEnt->pType->bSizeable)
					{
						bRDragging = true;
						dwvDragPos[0] = dwX+dwvScrollPos[0];
						dwvDragPos[1] = dwY+dwvScrollPos[1];
					}

					pEntName->SetLabel(pSelEnt->sName);
					for(int lp=0; lp<8; lp++)
						pvVars[lp]->SetLabel(pSelEnt->svVars[lp]);

					dwEntType = FindEntTypeIndex(pDLLInfo->pMapEnts, pSelEnt->pType->szName);
					dwEntType = MAX(0, dwEntType);
				}
				else
				{
					pEntName->SetLabel("");
					for(int lp=0; lp<8; lp++)
						pvVars[lp]->SetLabel("");
				}
			}
		}
		if(dwDrawMode == DM_ENTITY_PATH)
		{
			if(ucEvent == GBE_MOUSE_LEFT_DOWN)
			{
				pSelEnt = MapEntAtPoint(svEnts, dwX-256+dwvScrollPos[0], dwY+dwvScrollPos[1]);
				if(pSelEnt  &&  pSelEnt->pType->svVars[0]  &&  (pSelEnt->pType->svVars[0])[0] == '%')
				{
					bDragging = true;
					dwvDragPos[0] = dwX-256+dwvScrollPos[0];
					dwvDragPos[1] = dwY+dwvScrollPos[1];

					if(pSelEnt)
					{
						pEntName->SetLabel(pSelEnt->sName);
						for(int lp=0; lp<8; lp++)
							pvVars[lp]->SetLabel(pSelEnt->svVars[lp]);

						dwEntType = FindEntTypeIndex(pDLLInfo->pMapEnts, pSelEnt->pType->szName);
						dwEntType = MAX(0, dwEntType);
					}
					else
					{
						pEntName->SetLabel("");
						for(int lp=0; lp<8; lp++)
							pvVars[lp]->SetLabel("");
					}
				}
				else
				{
					pSelEnt = NULL;
				}
			}
			if(ucEvent == GBE_MOUSE_LEFT_UP  &&  pSelEnt)
			{
				map_entity_p pDestEnt = MapEntAtPoint(svEnts, dwX-256+dwvScrollPos[0], dwY+dwvScrollPos[1]);
				if(pDestEnt  &&  pDestEnt != pSelEnt)
				{
					pSelEnt->svVars[0] = pDestEnt->sName;
					pvVars[0]->SetLabel(pDestEnt->sName);

					pSelEnt->pvPaths[0] = pDestEnt;
				}
			}
			if(ucEvent == GBE_MOUSE_RIGHT_DOWN)
			{
				pSelEnt = MapEntAtPoint(svEnts, dwX-256+dwvScrollPos[0], dwY+dwvScrollPos[1]);
				if(pSelEnt  &&  pSelEnt->pType->svVars[1]  &&  (pSelEnt->pType->svVars[1])[0] == '%')
				{
					bRDragging = true;
					dwvDragPos[0] = dwX-256+dwvScrollPos[0];
					dwvDragPos[1] = dwY+dwvScrollPos[1];

					if(pSelEnt)
					{
						pEntName->SetLabel(pSelEnt->sName);
						for(int lp=0; lp<8; lp++)
							pvVars[lp]->SetLabel(pSelEnt->svVars[lp]);

						dwEntType = FindEntTypeIndex(pDLLInfo->pMapEnts, pSelEnt->pType->szName);
						dwEntType = MAX(0, dwEntType);
					}
					else
					{
						pEntName->SetLabel("");
						for(int lp=0; lp<8; lp++)
							pvVars[lp]->SetLabel("");
					}
				}
				else
				{
					pSelEnt = NULL;
				}
			}
			if(ucEvent == GBE_MOUSE_RIGHT_UP  &&  pSelEnt)
			{
				map_entity_p pDestEnt = MapEntAtPoint(svEnts, dwX-256+dwvScrollPos[0], dwY+dwvScrollPos[1]);
				if(pDestEnt  &&  pDestEnt != pSelEnt)
				{
					pSelEnt->svVars[1] = pDestEnt->sName;
					pvVars[1]->SetLabel(pDestEnt->sName);

					pSelEnt->pvPaths[1] = pDestEnt;
				}
			}
		}
	}

	if(ucEvent == GBE_MOUSE_LEFT_DOWN)
	{
		bMouseDown = true;
	}
	if(ucEvent == GBE_MOUSE_LEFT_UP)
	{
		bMouseDown = false;
		bDragging = false;
	}
	if(ucEvent == GBE_MOUSE_RIGHT_DOWN)
	{
		bRMouseDown = true;
	}
	if(ucEvent == GBE_MOUSE_RIGHT_UP)
	{
		bRMouseDown = false;
		bRDragging = false;
	}

	return this;
}

void CAppEditor::MoveToGrid(int& dwX, int& dwY)
{
	if(dwXGrid == 1)
	{
		dwX = (((dwX+8)>>4)<<4);
	}
	if(dwYGrid == 1)
	{
		dwY = (((dwY+8)>>4)<<4);
	}
	if(dwXGrid == 2)
	{
		dwX = ((dwX>>4)<<4)+8;
	}
	if(dwYGrid == 2)
	{
		dwY = ((dwY>>4)<<4)+8;
	}
}
