#ifndef BRUSH_H
#define BRUSH_H

#include "Collide.h"
#include "Tile.h"
#include <vector>

using namespace std;

typedef struct tile_brush_s {
	int						dwvSize[2];
	int*					dwvTiles[4];
	collider_list_t			svColliders;
} tile_brush_t, *tile_brush_p;

tile_brush_p CreateBrush();
void DeleteBrush(tile_brush_p pBrush);
void AddTilesToBrush(tile_brush_p pBrush, tilemap_p pMap, int dwX, int dwY, int dwW, int dwH, bool bvLayers[]);
void PlaceBrush(tile_brush_p pBrush, tilemap_p pMap, int dwX, int dwY);

#endif // BRUSH_H
