#include <allegro.h>
#include <winalleg.h>
#include "AppRunner.h"
#include "AppEditor.h"
#include "AppTiler.h"
#include "AppMapSelect.h"
#include "Tile.h"

#ifdef _DEBUG
#define VM GFX_AUTODETECT_WINDOWED
#else
#define VM GFX_AUTODETECT
#endif

void main()
{
	allegro_init();
	request_refresh_rate(60);
	set_color_depth(32);
	if(set_gfx_mode(VM, 800, 600, 0, 0))
	{
		set_color_depth(16);
		if(set_gfx_mode(VM, 800, 600, 0, 0))
		{
			set_color_depth(24);
			if(set_gfx_mode(VM, 800, 600, 0, 0))
			{
				set_color_depth(15);
				if(set_gfx_mode(VM, 800, 600, 0, 0))
				{
					allegro_message("Couldn't set 800x600 graphics mode");
					exit(0);
				}
			}
		}
	}

	install_keyboard();
	install_timer();
	install_mouse();

	CAppRunner* pAppRunner = new CAppRunner();

	CAppMapSelect* pApp = new CAppMapSelect();

	pAppRunner->Start(pApp);
}
END_OF_MAIN();
